# 1 ""
;# -*-perl-*-
;# the following fonts are used by 
;# xwafeftp, xwafenews, xwafemail, xwafecf, xwafemc, wafecf, wafetel, wafeora

;## if you have linked wafe with libXaw3d you can uncomment the following 2 lines
;## to get 3d effects for buttons, scrollbars etc.
;## $opt_3 = 1 if $wafe'Packages !~ /\bXAW3D\b/ || $opt_c eq 'mono'; #'
;## $threeD = $opt_3 ? : "" : "shadowWidth 3";
$opt_3 = 1 if $wafe'Packages !~ /\bXAW3D\b/; #'
$threeD = $opt_3 ? "" : "shadowWidth 3";

$boldFont = 'font -b&h-lucida-bold-r-*-*-14-*-*-*-p-*-iso8859-*' 
	unless $boldFont;
$normalFont = 'font -b&h-lucida-medium-r-*-*-14-*-*-*-p-*-iso8859-*'
	unless $normalFont;
$buttonFont = $threeD ? 
    'font -b&h-lucida-bold-r-*-*-12-*-*-*-p-*-iso8859-*' :
    'font -b&h-*-medium-r-*-*-12-*-*-*-p-*-iso8859-*'
	unless $buttonFont;
$textFont = 'font -b&h-*-medium-r-*-*-12-*-*-*-m-*-*-*'
	unless $textFont;

$opt_c = $opt_c || "grayish";  # default color mode

;## $defaultResources = "*bottomShadow #2e92b0 *topShadow #c9ecf5"; # blueish
;## $defaultResources = "*bottomShadow #679d67 *topShadow #cdfdcd"; # greenish
;## $defaultResources = "*bottomShadow gray60 *topShadow gray90"; # greyish

COLOR: {
    if ($opt_c eq "blueish") {
	$buttonColors = $threeD ? 
	    "background PowderBlue foreground black" :
	    "background steelblue foreground white";
	$backGround = "background PowderBlue";
	$highLight = "background cyan";
        $roColors = "background aliceblue foreground black";
        $sbColors = "foreground black background steelblue $threeD";
        $infoColors = "foreground black background lightsteelblue $threeD";
	last COLOR;
    } 
    if ($opt_c eq "greenish") {
	$buttonColors = $threeD ?
	   "background MediumSeaGreen foreground black" :
	   "background SeaGreen foreground white";
	$backGround = "background MediumSeaGreen";
	$infoColors = "background DarkSeaGreen2 foreground black $threeD";
        $roColors = "background DarkSeaGreen1 foreground black";
        $sbColors = "foreground black background DarkSeaGreen4 $threeD";
	$highLight = "background mediumSpringGreen";
	last COLOR;
    } 
    if ($opt_c =~ /^(.*)-ish/) {
	$buttonColors = "background ${1}4 foreground white";
	$backGround = "background ${1}3";
	$highLight = "background ${1}2";
        $roColors = "background ${1}1 foreground black";
        $sbColors = "foreground black background ${1}4 $threeD";
        $infoColors = "foreground black background ${1}2 $threeD";
	last COLOR;
    } 
    if ($opt_c =~ /gr[ae]yish/) {
	$buttonColors = $threeD ? 
	    "background gainsboro foreground black" :
	    "background gray55 foreground white";
	$backGround = "background gainsboro";
	$highLight = "background mediumSpringGreen";
	$roColors = "background gray95 foreground black";
	$sbColors = "foreground black background gray55 $threeD";
	$infoColors = "foreground black background gray75 $threeD";
	last COLOR;
    }
    if ($opt_c eq "mono3") {
         $sbColors = $threeD;
         $infoColors = $threeD;
         last COLOR;
    }
    print "no such colormode <$opt_c>, using mono\n" if $opt_c ne 'mono';
    if ($opt_c eq "mono") {
        $sbColors = $threeD;
        $infoColors = $threeD;
	$highLightTextFont = 'font -b&h-*-bold-*-*-*-12-*-*-*-m-*-*-*';
	last COLOR;
    } 
}

;# subject colors for mail
%subjColors = (
	   'Ordinary-UnRead', 'foreground black background white', 
	   'Ordinary-Read', 'foreground gray60 background white', 
	   'Urgent-UnRead', 'foreground red background white', 
	   'Urgent-Read', 'foreground orange background white', 
	   ) if $opt_c !~ /^mono/;

$menueAtts = $highLight;

if ($threeD) {
    $threeDNarrow = "$threeD internalWidth 1 internalHeight 0";
    $defaultResources .= " *.highlightThickness 1";
    $twoD = "shadowWidth 0 internalHeight 3";
}

$buttonAtts =  $threeD ? 
    "$buttonFont $threeDNarrow $buttonColors" :
    "$buttonFont shapeStyle oval $buttonColors";

%textResources = (
	'*Text*insertFile*Form*Command', $buttonAtts,
	'*Text*insertFile*Form*Label', "$backGround $boldFont",
	'*Text*insertFile*Form*Text', $roColors,
	'*Text*insertFile*Form', $backGround,
	'*Text*search*Form*Command', $buttonAtts,
	'*Text*search*Form*Label', "$backGround $boldFont",
	'*Text*search*Form*Text', $roColors,
	'*Text*search*Form', $backGround,
	'*Scrollbar', $sbColors,
);


;# why does :Meta<Key>a not work for me?
$meta      = 'Meta'      unless $meta;      # some people need 'Mod1'
$delete    = 'apLineDel' unless $delete;    # some people need 'Delete'
$backspace = 'Delete'    unless $backspace; # some people need 'BackSpace'

@genericTextActions = (
	"~Shift $meta<Key>a: insert-string(ä)",
	"Shift $meta<Key>A: insert-string(Ä)",
	"~Shift $meta<Key>o: insert-string(ö)",
	"Shift $meta<Key>O: insert-string(Ö)",
	"~Shift $meta<Key>u: insert-string(ü)",
	"Shift $meta<Key>U: insert-string(Ü)",
        "$meta<Key>s: insert-string(ß)",
	"None<Key>Prior: previous-page()",
	"None<Key>Next: next-page()",
	"$meta<Key>Prior: beginning-of-file()",
	"$meta<Key>Next: end-of-file()",
	"Shift<Key>$backspace: delete-previous-word()",
	"Shift<Key>$delete: delete-next-word()",
	"$meta<Key>Right: forward-word()",
	"$meta<Key>Left: backward-word()",
	"$meta<Key>Down: scroll-one-line-down()",
	"$meta<Key>Up: scroll-one-line-up()",
	"None<Key>$delete: delete-next-character()",
	"Ctrl<Key>$backspace: exec(XawTextDelLine \%w)",
	"$meta<Key>d: kill-selection()",
	"<Key>Find: search(forward)",
	"<Key>Insert: insert-file()",
	"None<Key>$backspace: exec(XawTextBackSpace \%w)",
        "<Key>End: end-of-line()",
        "<Key>Home: beginning-of-line()",
        "$meta<Key>$delete: exec(XawTextDelLine \%w)",
        "$meta<Key>Insert: exec(XawTextCopyCurrentLineToNext \%w)",
);

@textActions = (
	@genericTextActions,
        "$meta<Key>$backspace: exec(XawTextSmartBackSpace \%w)",
        "Shift<Key>braceright: exec(XawTextSmartCloseBrace \%w)",
        "None<Key>Return: exec(XawTextNewlineAndIndent \%w)",
        "$meta<Key>Return: newline-and-indent()",
);

;# undef $meta; undef $delete; undef $backspace;

$defaultResources .= " *foreground  black  *shadowWidth 0";
;#
;# for reply, forward and followup

$mailIncludePrefix = " |> ";

;#
;# default mail host, if no alias exists and no address is given

$defaultMailHost = "your-Default-mail-host";

;#
;# default encoding for sending mail (TeX, Swe, Mime, None)
$defaultMailEncoding = 'TeX';

;#
;# configuration for xwafeftp
;# the following FTP servers appear in the server menu

@ftpServers = (
		  'ftp.wu-wien.ac.at',
		  'wuarchive.wustl.edu', 
		  'ftp.uu.net',
		  'gatekeeper.dec.com',
		  'prep.ai.mit.edu',
		  'export.lcs.mit.edu',
	       );

;#
;# configuration for news reader

$defaultNntpHost = "news";
$defaultNntpOrganization = "your-organization";
$defaultNntpDistribution = "world";

;#
;# configuration for gopher

$defaultGopherHost = "gopher";

;#
;# configuration for wafecf





$wafecfSearchPath = "bib-sample.db:$WafeLib/bib-sample.db";


;#
;# configuration for xwafetel





$wafetelDB = $wafetelDBalt = 'demo/demo@T:dec1.wu-wien.ac.at:wi';



;#
;# configuration for xwafeora









%wafeoraDB = (
	    'Ablage', 'demo/demo@T:dec1.wu-wien.ac.at:wi',
	    'Paper', 'demo/demo@T:dec1.wu-wien.ac.at:wi',
	    'Ordner', 'demo/demo@T:dec1.wu-wien.ac.at:wi',
	    );










